<?xml version="1.0"?>

<st-source>


<methods>
<class-id>PROVISO.PvDomainObjectManager</class-id> <category>sql statements</category>

<body package="PV-DM-Managers" selector="sqlStatementFor:instanceClass:">sqlStatementFor: sql instanceClass: aClass 
	^self dbSession sqlStatement: sql forClass: aClass</body>
</methods>

<methods>
<class-id>PROVISO.PvDbSqlStatement</class-id> <category>control</category>

<body package="PV-DB-Support" selector="resetAnswer">resetAnswer
	
	promise := Promise new.
	self critical: 
		[self isAnswered 
			ifTrue: 
				[dbSession answer isSymbol 
					ifFalse: 
						[[dbSession answer close] 
							on: 
								Error , SystemNotification , 
									ExternalDatabaseConnection externalDatabaseInformationSignal
							do: 
								[:error | 
								self system 
									logDebugThree: #CLOSE_FAILED
									text: error messageText]].
				self state: self statePrepared]
			ifFalse: 
				[self system 
					logDebugThree: #COULDNT_CLOSE
					text: self state printString]]</body>
</methods>

</st-source>
