<?xml version="1.0"?>

<st-source>
<!-- Changes in change set 2008-06-25-RA503322 -->
<time-stamp>From VisualWorks®, 7.4.1 of May 30, 2006 on June 25, 2008 at 4:00:21 pm</time-stamp>


<methods>
<class-id>PROVISO.PvEvent class</class-id> <category>properties</category>

<body package="PV-DM-Support" selector="nameProperty">nameProperty

	^'Name'</body>
</methods>


<reorganize>
<class-id>PROVISO.PvEvent class</class-id> <organization>('database support' #historyTableName #initColumnMap #isFilteredByCollector #isHistorical #selectStatementWithParameters: #tableName)
('update instance variables' #smeeInitPrototype #smeeNewPrototypeObject #updateInstanceVariablesToExclude)
('As yet unclassified' #classId)
('properties' #nameProperty)
</organization>
</reorganize>

<methods>
<class-id>PROVISO.PvEvent</class-id> <category>database support</category>

<body package="PV-DM-Support" selector="prepareForCommitUsing:">prepareForCommitUsing: anNgModelInterface 
	
	super prepareForCommitUsing: anNgModelInterface.
	self 
		smeePropertyAt: self class nameProperty
		put: self name</body>
</methods>


<methods>
<class-id>PROVISO.PvDomainObjectManager</class-id> <category>resync support</category>

<body package="PV-DM-Managers" selector="resyncUpdate:from:">resyncUpdate: realObject from: anObject 
	
	self 
		onUpdateItem: realObject
		from: anObject.
	(realObject name ~= anObject name and: [self storesByName]) 
		ifTrue: 
			[self protect: 
				[itemsByName 
					removeKey: anObject name
					ifAbsent: []].
			realObject resyncUpdateFrom: anObject.
			realObject name ifNotNil: 
				[:name | self protect: [itemsByName at: name put: realObject]]]
		ifFalse: [realObject resyncUpdateFrom: anObject].
	realObject postInsertUpdateIn: self pvModel.
	^realObject</body>
</methods>


<methods>
<class-id>PROVISO.PvEventManager</class-id> <category>resync support</category>

<body package="PV-DM-Managers" selector="relinkNameFor:">relinkNameFor: anEvent 
	anEvent properties do: 
			[:eachProperty | 
			eachProperty setNameFromType: 
				(self pvModel 
					eventAttrTypeWithId: eachProperty attributeId
					ifAbsent: [nil])].
	anEvent name ifNil: 
		[anEvent name: 
			(anEvent 
				propertyAt: PvEvent nameProperty
				ifAbsent: [])].
	^anEvent name ifNotNil: [:name | itemsByName at: name put: anEvent]</body>
</methods>



</st-source>
