<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.4.1 of May 30, 2006 on June 20, 2008 at 9:57:12 am</time-stamp>
<!-- Changes from: PV-DC-Plan-Builder(Kila.83,apikovsky)  to: PV-DC-Plan-Builder (Kila.84,mkamath)+ -->


<methods>
<class-id>PROVISO.PlanBuilder</class-id> <category>state save/restore</category>

<body package="PV-DC-Plan-Builder" selector="upgradeStateFromKilaToLulu">upgradeStateFromKilaToLulu
	
	| dl stateDir |
	self fileInterface stateDirectory copyDirectoryTo: 
		(self fileInterface subsystemDirectory construct: 'backupOfStateBeforeUpgrade').
	self
		restoreState;
		saveAdvanceCollectorRequestsState;
		saveStateLabelChangeHistory;
		saveVersionBeingBuilt: self versionBeingBuilt
			advanceCollectorRequests: 
				(self advancingCollectorLabels asArray collect: 
					[:e | 
					e id -&gt; e collectorTimeNow]);
		saveStateVersionLastBuilt.
	self advancingCollectorLabels do: [:e | e collectorTimeNow: e collectorTimeInPlan].
	(dl := 
		PblPlanAndMetadataDumperLoader 
			forVersion: self versionLastBuilt
			planBuilder: self)
		makeVersionDirectory;
		saveOperatorState;
		saveCollectorState.
	stateDir := self fileInterface stateDirectory.
	dl planAndMetadataFilenames do: [:each | self fileInterface moveFilename: stateDir , each tail toFilename: each].
	(stateDir , 'planVersion.state') exists 
		ifTrue: [(self fileInterface stateDirectory construct: 'planVersion.state') delete].
	self planBuilderStateFilename delete</body>
</methods>


</st-source>
